Page MenuHomePhabricator

Lexeme: Use "vuex" ResourceLoader module from core
Closed, ResolvedPublic

Description

WARNING: Core contains a different major version of Vuex (v3) than WikibaseLexeme (v2). We should probably first update WikibaseLexeme to Vuex v3 (still bundled) and only afterwards switch to the Core module.

Event Timeline

Change 589064 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Update Vuex to from 2.3.0 to 3.1.3

https://gerrit.wikimedia.org/r/589064

Change 578354 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Use vue+vuex ResourceLoader modules from MediaWiki core

https://gerrit.wikimedia.org/r/578354

Change 589064 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update Vuex to from 2.3.0 to 3.1.3

https://gerrit.wikimedia.org/r/589064

Change 578354 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use vue+vuex ResourceLoader modules from MediaWiki core

https://gerrit.wikimedia.org/r/578354

I assume this is done?

Lucas_Werkmeister_WMDE closed this task as Resolved.Jun 15 2020, 9:26 AM
Lucas_Werkmeister_WMDE claimed this task.